Groovy JDK

## java.util
Class Set

Method Summary
`Set` | `asImmutable()` A convenience method for creating an immutable list.
`Set` | `asSynchronized()` A convenience method for creating a synchronized Set.
`Set` | `minus(Collection operands)` Create a Set composed of the elements of the first set minus the elements of the given collection.
`Set` | `minus(Object operand)` Create a Set composed of the elements of the first set minus the operand.

Method Detail

### asImmutable

    public Set asImmutable()

  A convenience method for creating an immutable list.

Returns:
  an immutable Set

Since:
  1.0

See:
  Collections#unmodifiableSet.

### asSynchronized

    public Set asSynchronized()

  A convenience method for creating a synchronized Set.

Returns:
  a synchronized Set

Since:
  1.0

See:
  Collections#synchronizedSet.

### minus

    public Set minus(Collection operands)

  Create a Set composed of the elements of the first set minus the elements of the given collection.

  TODO: remove using number comparator?

Parameters:
  `operands` - the items to remove from the set.

Returns:
  the resulting set

Since:
  1.5.0

### minus

    public Set minus(Object operand)

  Create a Set composed of the elements of the first set minus the operand.

Parameters:
  `operand` - the operand to remove from the set.

Returns:
  the resulting set

Since:
  1.5.0

Groovy JDK